<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0-windows</TargetFramework>
	  <UseWindowsForms>true</UseWindowsForms>
    <ImplicitUsings>enable</ImplicitUsings>
	  <EnableDynamicLoading>true</EnableDynamicLoading>
    <Nullable>enable</Nullable>
	  <OutDir>..\..\VisionBuilder.UI.Windows.Test\bin\Debug\Data\Plugins\CandyboxPlugin</OutDir>
  </PropertyGroup>


	<ItemGroup>
		<PackageReference Include="Microsoft.ML.OnnxRuntime.Gpu" Version="1.22.1">
			<Private>False</Private>
			<ExcludeAssets>runtime</ExcludeAssets>
		</PackageReference>

		<PackageReference Include="OpenCvSharp4.Extensions" Version="4.6.0.20220608">
			<Private>False</Private>
			<ExcludeAssets>runtime</ExcludeAssets>
		</PackageReference>

		<PackageReference Include="OpenCvSharp4.runtime.win" Version="4.6.0.20220608">
			<Private>False</Private>
			<ExcludeAssets>runtime</ExcludeAssets>
		</PackageReference>

		<PackageReference Include="System.IO.Ports" Version="7.0.0">
			<Private>False</Private>
			<ExcludeAssets>runtime</ExcludeAssets>
		</PackageReference>

		<ProjectReference Include="..\..\framework\Inspectron.HawkEye\Inspectron.HawkEye.csproj">
			<Private>false</Private>
			<ExcludeAssets>runtime</ExcludeAssets>
		</ProjectReference>
		
		<ProjectReference Include="..\..\framework\Inspectron.Settings\Inspectron.Settings.csproj">
			<Private>False</Private>
			<ExcludeAssets>runtime</ExcludeAssets>
		</ProjectReference>
		
		<ProjectReference Include="..\..\framework\Inspectron.Statistics\Inspectron.Statistics.csproj">
			<Private>False</Private>
			<ExcludeAssets>runtime</ExcludeAssets>
		</ProjectReference>
		<ProjectReference Include="..\..\framework\MaterialSkin.Core\MaterialSkin.Core.csproj">
			<Private>False</Private>
			<ExcludeAssets>runtime</ExcludeAssets>
		</ProjectReference>
		<ProjectReference Include="..\..\Hawkeye.VisionBuilder.UI.Sources.Hawkeye\Hawkeye.VisionBuilder.UI.Sources.Hawkeye.csproj">
			<Private>False</Private>
			<ExcludeAssets>runtime</ExcludeAssets>
		</ProjectReference>
		<ProjectReference Include="..\..\VisionBuilder.UI.Common\VisionBuilder.UI.Common.csproj">
			<Private>false</Private>
			<ExcludeAssets>runtime</ExcludeAssets>
		</ProjectReference>
		<ProjectReference Include="..\..\VisionBuilder.UI.Statistics\VisionBuilder.UI.Statistics.csproj" >
			<Private>False</Private>
			<ExcludeAssets>runtime</ExcludeAssets>
		</ProjectReference>
		<ProjectReference Include="..\..\VisionBuilder.UI.Windows\VisionBuilder.UI.Windows.csproj">
			<Private>False</Private>
			<ExcludeAssets>runtime</ExcludeAssets>
		</ProjectReference>
	</ItemGroup>


	<ItemGroup>
	  <Folder Include="models\" />
	</ItemGroup>


	<ItemGroup>
	  <None Update="models\blisterresnet.onnx">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </None>
	  <None Update="models\model_transparent_blister_resnet.onnx">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </None>
	  <None Update="models\model_transparent_blister_resnet_navy.onnx">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </None>
	  <None Update="models\model_transparent_candy_resnet.onnx">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </None>
	</ItemGroup>

</Project>
